Bug 36991 - crash when duplicating draw page with linked wmf pictures
Summary: crash when duplicating draw page with linked wmf pictures
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: x86 (IA32) Windows (All)
: medium critical
Assignee: Thorsten Behrens (CIB)
URL:
Whiteboard: target:3.5.0
Keywords:
Depends on:
Blocks: mab3.4
  Show dependency treegraph
 
Reported: 2011-05-09 01:13 UTC by Regina Henschel
Modified: 2017-04-19 16:28 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Contains the crashing document and the linked picture (19.45 KB, application/zip)
2011-05-09 01:13 UTC, Regina Henschel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2011-05-09 01:13:18 UTC
Created attachment 46465 [details]
Contains the crashing document and the linked picture

Try to open the attached document. It crashes immediately.

How to reproduce:
Take a new Draw document.
Insert the attached wmf picture _linked_.
Insert it once again linked.
Insert > Duplicate Slide
Crash.

The crash does not happen with png-pictures.

I can reproduce the crash not only with this special wmf-picture but with others too.
Comment 1 vitriol 2011-05-09 01:25:15 UTC
Reproducible in 3.4 Beta 4 too.
Comment 2 Noel Power 2011-05-10 01:59:46 UTC
haha, of course launching with gdb and it works :-)
Comment 3 Noel Power 2011-05-10 02:05:56 UTC
also work when running under valgrind ( with the use of some uninitialised values  below )

==14311== Use of uninitialised value of size 8
==14311==    at 0x95B3D4A: BitmapReadAccess::SetPixelFor_1BIT_LSB_PAL(unsigned char*, long, BitmapColor const&, ColorMask const&) (in /data4/OOO_BUILD_GIT/ooo-build/bootstrap/clone/libs-gui/vcl/unxlngx6.pro/lib/libvcllx.so)
==14311==    by 0x9467544: StretchAndConvert(BitmapBuffer const&, SalTwoRect const&, unsigned long, BitmapPalette*, ColorMask*) (in /data4/OOO_BUILD_GIT/ooo-build/bootstrap/clone/libs-gui/vcl/unxlngx6.pro/lib/libvcllx.so)
==14311==    by 0x13137190: X11SalBitmap::ImplCreateXImage(SalDisplay*, int, long, SalTwoRect const&) const (in /data4/OOO_BUILD_GIT/ooo-build/bootstrap/clone/libs-gui/vcl/unxlngx6.pro/lib/libvclplug_genlx.so)
==14311==    by 0x131384C6: X11SalBitmap::ImplGetDDB(unsigned long, int, long, SalTwoRect const&) const (in /data4/OOO_BUILD_GIT/ooo-build/bootstrap/clone/libs-gui/vcl/unxlngx6.pro/lib/libvclplug_genlx.so)
==14311==    by 0x131386C0: X11SalBitmap::ImplDraw(unsigned long, int, long, SalTwoRect const&, _XGC* const&) const (in /data4/OOO_BUILD_GIT/ooo-build/bootstrap/clone/libs-gui/vcl/unxlngx6.pro/lib/libvclplug_genlx.so)
==14311==    by 0x13134E17: X11SalGraphics::drawMaskedBitmap(SalTwoRect const*, SalBitmap const&, SalBitmap const&) (in /data4/OOO_BUILD_GIT/ooo-build/bootstrap/clone/libs-gui/vcl/unxlngx6.pro/lib/libvclplug_genlx.so)
==14311==    by 0x959C3B4: SalGraphics::DrawBitmap(SalTwoRect const*, SalBitmap const&, SalBitmap const&, OutputDevice const*) (in /data4/OOO_BUILD_GIT/ooo-build/bootstrap/clone/libs-gui/vcl/unxlngx6.pro/lib/libvcllx.so)
==14311==    by 0x94C9D2C: OutputDevice::ImplDrawBitmapEx(Point const&, Size const&, Point const&, Size const&, BitmapEx const&, unsigned long) (in /data4/OOO_BUILD_GIT/ooo-build/bootstrap/clone/libs-gui/vcl/unxlngx6.pro/lib/libvcllx.so)
==14311==    by 0x94CAB02: OutputDevice::DrawBitmapEx(Point const&, BitmapEx const&) (in /data4/OOO_BUILD_GIT/ooo-build/bootstrap/clone/libs-gui/vcl/unxlngx6.pro/lib/libvcllx.so)
==14311==    by 0x2B6876A0: drawinglayer::processor2d::VclProcessor2D::RenderMarkerArrayPrimitive2D(drawinglayer::primitive2d::MarkerArrayPrimitive2D const&) (in /data4/OOO_BUILD_GIT/ooo-build/bootstrap/clone/libs-core/drawinglayer/unxlngx6.pro/lib/libdrawinglayerlx.so)
==14311==    by 0x2B68BFFA: drawinglayer::processor2d::VclPixelProcessor2D::processBasePrimitive2D(drawinglayer::primitive2d::BasePrimitive2D const&) (in /data4/OOO_BUILD_GIT/ooo-build/bootstrap/clone/libs-core/drawinglayer/unxlngx6.pro/lib/libdrawinglayerlx.so)
==14311==    by 0x2B680618: drawinglayer::processor2d::BaseProcessor2D::process(com::sun::star::uno::Sequence<com::sun::star::uno::Reference<com::sun::star::graphic::XPrimitive2D> > const&) (in /data4/OOO_BUILD_GIT/ooo-build/bootstrap/clone/libs-core/drawinglayer/unxlngx6.pro/lib/libdrawinglayerlx.so)
==14311== 
==14311== Conditional jump or move depends on uninitialised value(s)
==14311==    at 0x13DD067C: XcursorImageHash (in /usr/lib64/libXcursor.so.1.0.2)
==14311==    by 0x13DD07B8: XcursorNoticePutBitmap (in /usr/lib64/libXcursor.so.1.0.2)
==14311==    by 0x5558315: XPutImage (in /usr/lib64/libX11.so.6.3.0)
==14311==    by 0x1313743C: ImplSalDDB::ImplSalDDB(_XImage*, unsigned long, int, SalTwoRect const&) (in /data4/OOO_BUILD_GIT/ooo-build/bootstrap/clone/libs-gui/vcl/unxlngx6.pro/lib/libvclplug_genlx.so)
==14311==    by 0x131384EF: X11SalBitmap::ImplGetDDB(unsigned long, int, long, SalTwoRect const&) const (in /data4/OOO_BUILD_GIT/ooo-build/bootstrap/clone/libs-gui/vcl/unxlngx6.pro/lib/libvclplug_genlx.so)
==14311==    by 0x131386C0: X11SalBitmap::ImplDraw(unsigned long, int, long, SalTwoRect const&, _XGC* const&) const (in /data4/OOO_BUILD_GIT/ooo-build/bootstrap/clone/libs-gui/vcl/unxlngx6.pro/lib/libvclplug_genlx.so)
==14311==    by 0x13134E17: X11SalGraphics::drawMaskedBitmap(SalTwoRect const*, SalBitmap const&, SalBitmap const&) (in /data4/OOO_BUILD_GIT/ooo-build/bootstrap/clone/libs-gui/vcl/unxlngx6.pro/lib/libvclplug_genlx.so)
==14311==    by 0x959C3B4: SalGraphics::DrawBitmap(SalTwoRect const*, SalBitmap const&, SalBitmap const&, OutputDevice const*) (in /data4/OOO_BUILD_GIT/ooo-build/bootstrap/clone/libs-gui/vcl/unxlngx6.pro/lib/libvcllx.so)
==14311==    by 0x94C9D2C: OutputDevice::ImplDrawBitmapEx(Point const&, Size const&, Point const&, Size const&, BitmapEx const&, unsigned long) (in /data4/OOO_BUILD_GIT/ooo-build/bootstrap/clone/libs-gui/vcl/unxlngx6.pro/lib/libvcllx.so)
==14311==    by 0x94CAB02: OutputDevice::DrawBitmapEx(Point const&, BitmapEx const&) (in /data4/OOO_BUILD_GIT/ooo-build/bootstrap/clone/libs-gui/vcl/unxlngx6.pro/lib/libvcllx.so)
==14311==    by 0x2B6876A0: drawinglayer::processor2d::VclProcessor2D::RenderMarkerArrayPrimitive2D(drawinglayer::primitive2d::MarkerArrayPrimitive2D const&) (in /data4/OOO_BUILD_GIT/ooo-build/bootstrap/clone/libs-core/drawinglayer/unxlngx6.pro/lib/libdrawinglayerlx.so)
==14311==    by 0x2B68BFFA: drawinglayer::processor2d::VclPixelProcessor2D::processBasePrimitive2D(drawinglayer::primitive2d::BasePrimitive2D const&) (in /data4/OOO_BUILD_GIT/ooo-build/bootstrap/clone/libs-core/drawinglayer/unxlngx6.pro/lib/libdrawinglayerlx.so)
==14311==
Comment 4 Alex Thurgood 2011-05-10 03:02:02 UTC
I can open the document on Mac OSX 10.6.7

If I try to reproduce the steps described, the crash does not happen.

Tested with LibO 3.4b4 and OOo-dev 3.4.0 on Mac OSX 10.6.7.

Windows specific ?


Alex
Comment 5 Noel Power 2011-05-10 03:37:47 UTC
doing the manual steps with the debugger attached got the following error ( and stack ) - ( linux opensuse 64bit )

thorsten could you have a look ?

soffice.bin: xcb_io.c:385: _XAllocID: Assertion `ret != inval_id' failed.

Program received signal SIGABRT, Aborted.
0x00007ffff69099e5 in raise () from /lib64/libc.so.6
#1  0x00007ffff690aee6 in abort () from /lib64/libc.so.6
(gdb) 
#2  0x00007ffff6902235 in __assert_fail () from /lib64/libc.so.6
(gdb) 
#3  0x00007ffff73fda5c in _XAllocID () from /usr/lib64/libX11.so.6
(gdb) 
#4  0x00007ffff73d1a21 in XCreateGC () from /usr/lib64/libX11.so.6
(gdb) 
#5  0x00007fffe9cee491 in X11SalGraphics::drawAlphaBitmap(SalTwoRect const&, SalBitmap const&, SalBitmap const&) () from /data4/OOO_BUILD_GIT/ooo-build/bootstrap/NEWINSTALL/basis3.4/program/libvclplug_genlx.so
(gdb) 
#6  0x00007ffff3411f85 in SalGraphics::DrawAlphaBitmap(SalTwoRect const&, SalBitmap const&, SalBitmap const&, OutputDevice const*) () from /data4/OOO_BUILD_GIT/ooo-build/bootstrap/NEWINSTALL/program/../basis-link/program/libvcllx.so
(gdb) 
#7  0x00007ffff333ded5 in OutputDevice::ImplDrawAlpha(Bitmap const&, AlphaMask const&, Point const&, Size const&, Point const&, Size const&) () from /data4/OOO_BUILD_GIT/ooo-build/bootstrap/NEWINSTALL/program/../basis-link/program/libvcllx.so
(gdb) 
#8  0x00007ffff333f071 in OutputDevice::ImplDrawBitmapEx(Point const&, Size const&, Point const&, Size const&, BitmapEx const&, unsigned long) () from /data4/OOO_BUILD_GIT/ooo-build/bootstrap/NEWINSTALL/program/../basis-link/program/libvcllx.so
(gdb) 
#9  0x00007ffff333f59c in OutputDevice::DrawBitmapEx(Point const&, Size const&, BitmapEx const&) () from /data4/OOO_BUILD_GIT/ooo-build/bootstrap/NEWINSTALL/program/../basis-link/program/libvcllx.so
(gdb) 
#10 0x00007ffff4ad1111 in ?? () from /data4/OOO_BUILD_GIT/ooo-build/bootstrap/NEWINSTALL/program/../basis-link/program/libsvtlx.so
(gdb) 
#11 0x00007ffff4ad2dfc in ?? () from /data4/OOO_BUILD_GIT/ooo-build/bootstrap/NEWINSTALL/program/../basis-link/program/libsvtlx.so
(gdb) 
#12 0x00007ffff4ad31c0 in GraphicManager::DrawObj(OutputDevice*, Point const&, Size const&, GraphicObject&, GraphicAttr const&, unsigned long, unsigned char&) () from /data4/OOO_BUILD_GIT/ooo-build/bootstrap/NEWINSTALL/program/../basis-link/program/libsvtlx.so
(gdb) 
#13 0x00007ffff4acb415 in GraphicObject::Draw(OutputDevice*, Point const&, Size const&, GraphicAttr const*, unsigned long) () from /data4/OOO_BUILD_GIT/ooo-build/bootstrap/NEWINSTALL/program/../basis-link/program/libsvtlx.so
(gdb) 
#14 0x00007fffdbb45d48 in drawinglayer::RenderBitmapPrimitive2D_GraphicManager(OutputDevice&, BitmapEx const&, basegfx::B2DHomMatrix const&) () from /data4/OOO_BUILD_GIT/ooo-build/bootstrap/NEWINSTALL/program/../basis-link/program/libdrawinglayerlx.so
(gdb) 
#15 0x00007fffdbb476d5 in drawinglayer::processor2d::VclProcessor2D::RenderBitmapPrimitive2D(drawinglayer::primitive2d::BitmapPrimitive2D const&) () from /data4/OOO_BUILD_GIT/ooo-build/bootstrap/NEWINSTALL/program/../basis-link/program/libdrawinglayerlx.so
(gdb) 
#16 0x00007fffdbb4e17b in drawinglayer::processor2d::VclPixelProcessor2D::processBasePrimitive2D(drawinglayer::primitive2d::BasePrimitive2D const&) () from /data4/OOO_BUILD_GIT/ooo-build/bootstrap/NEWINSTALL/program/../basis-link/program/libdrawinglayerlx.so
(gdb) 
#17 0x00007fffdbb42619 in drawinglayer::processor2d::BaseProcessor2D::process(com::sun::star::uno::Sequence<com::sun::star::uno::Reference<com::sun::star::graphic::XPrimitive2D> > const&) () from /data4/OOO_BUILD_GIT/ooo-build/bootstrap/NEWINSTALL/program/../basis-link/program/libdrawinglayerlx.so
(gdb) where
#0  0x00007ffff69099e5 in raise () from /lib64/libc.so.6
#1  0x00007ffff690aee6 in abort () from /lib64/libc.so.6
#2  0x00007ffff6902235 in __assert_fail () from /lib64/libc.so.6
#3  0x00007ffff73fda5c in _XAllocID () from /usr/lib64/libX11.so.6
#4  0x00007ffff73d1a21 in XCreateGC () from /usr/lib64/libX11.so.6
#5  0x00007fffe9cee491 in X11SalGraphics::drawAlphaBitmap(SalTwoRect const&, SalBitmap const&, SalBitmap const&) () from /data4/OOO_BUILD_GIT/ooo-build/bootstrap/NEWINSTALL/basis3.4/program/libvclplug_genlx.so
#6  0x00007ffff3411f85 in SalGraphics::DrawAlphaBitmap(SalTwoRect const&, SalBitmap const&, SalBitmap const&, OutputDevice const*) () from /data4/OOO_BUILD_GIT/ooo-build/bootstrap/NEWINSTALL/program/../basis-link/program/libvcllx.so
#7  0x00007ffff333ded5 in OutputDevice::ImplDrawAlpha(Bitmap const&, AlphaMask const&, Point const&, Size const&, Point const&, Size const&) () from /data4/OOO_BUILD_GIT/ooo-build/bootstrap/NEWINSTALL/program/../basis-link/program/libvcllx.so
#8  0x00007ffff333f071 in OutputDevice::ImplDrawBitmapEx(Point const&, Size const&, Point const&, Size const&, BitmapEx const&, unsigned long) () from /data4/OOO_BUILD_GIT/ooo-build/bootstrap/NEWINSTALL/program/../basis-link/program/libvcllx.so
#9  0x00007ffff333f59c in OutputDevice::DrawBitmapEx(Point const&, Size const&, BitmapEx const&) () from /data4/OOO_BUILD_GIT/ooo-build/bootstrap/NEWINSTALL/program/../basis-link/program/libvcllx.so
#10 0x00007ffff4ad1111 in ?? () from /data4/OOO_BUILD_GIT/ooo-build/bootstrap/NEWINSTALL/program/../basis-link/program/libsvtlx.so
#11 0x00007ffff4ad2dfc in ?? () from /data4/OOO_BUILD_GIT/ooo-build/bootstrap/NEWINSTALL/program/../basis-link/program/libsvtlx.so
#12 0x00007ffff4ad31c0 in GraphicManager::DrawObj(OutputDevice*, Point const&, Size const&, GraphicObject&, GraphicAttr const&, unsigned long, unsigned char&) () from /data4/OOO_BUILD_GIT/ooo-build/bootstrap/NEWINSTALL/program/../basis-link/program/libsvtlx.so
#13 0x00007ffff4acb415 in GraphicObject::Draw(OutputDevice*, Point const&, Size const&, GraphicAttr const*, unsigned long) () from /data4/OOO_BUILD_GIT/ooo-build/bootstrap/NEWINSTALL/program/../basis-link/program/libsvtlx.so
#14 0x00007fffdbb45d48 in drawinglayer::RenderBitmapPrimitive2D_GraphicManager(OutputDevice&, BitmapEx const&, basegfx::B2DHomMatrix const&) () from /data4/OOO_BUILD_GIT/ooo-build/bootstrap/NEWINSTALL/program/../basis-link/program/libdrawinglayerlx.so
#15 0x00007fffdbb476d5 in drawinglayer::processor2d::VclProcessor2D::RenderBitmapPrimitive2D(drawinglayer::primitive2d::BitmapPrimitive2D const&) () from /data4/OOO_BUILD_GIT/ooo-build/bootstrap/NEWINSTALL/program/../basis-link/program/libdrawinglayerlx.so
#16 0x00007fffdbb4e17b in drawinglayer::processor2d::VclPixelProcessor2D::processBasePrimitive2D(drawinglayer::primitive2d::BasePrimitive2D const&) () from /data4/OOO_BUILD_GIT/ooo-build/bootstrap/NEWINSTALL/program/../basis-link/program/libdrawinglayerlx.so
#17 0x00007fffdbb42619 in drawinglayer::processor2d::BaseProcessor2D::process(com::sun::star::uno::Sequence<com::sun::star::uno::Reference<com::sun::star::graphic::XPrimitive2D> > const&) () from /data4/OOO_BUILD_GIT/ooo-build/bootstrap/NEWINSTALL/program/../basis-link/program/libdrawinglayerlx.so
#18 0x00007fffdbb482ff in drawinglayer::processor2d::VclProcessor2D::RenderTransformPrimitive2D(drawinglayer::primitive2d::TransformPrimitive2D const&) () from /data4/OOO_BUILD_GIT/ooo-build/bootstrap/NEWINSTALL/program/../basis-link/program/libdrawinglayerlx.so
#19 0x00007fffdbb4df2b in drawinglayer::processor2d::VclPixelProcessor2D::processBasePrimitive2D(drawinglayer::primitive2d::BasePrimitive2D const&) () from /data4/OOO_BUILD_GIT/ooo-build/bootstrap/NEWINSTALL/program/../basis-link/program/libdrawinglayerlx.so
#20 0x00007fffdbb42619 in drawinglayer::processor2d::BaseProcessor2D::process(com::sun::star::uno::Sequence<com::sun::star::uno::Reference<com::sun::star::graphic::XPrimitive2D> > const&) () from /data4/OOO_BUILD_GIT/ooo-build/bootstrap/NEWINSTALL/program/../basis-link/program/libdrawinglayerlx.so
#21 0x00007fffdbb4dc88 in drawinglayer::processor2d::VclPixelProcessor2D::processBasePrimitive2D(drawinglayer::primitive2d::BasePrimitive2D const&) () from /data4/OOO_BUILD_GIT/ooo-build/bootstrap/NEWINSTALL/program/../basis-link/program/libdrawinglayerlx.so
#22 0x00007fffdbb42619 in drawinglayer::processor2d::BaseProcessor2D::process(com::sun::star::uno::Sequence<com::sun::star::uno::Reference<com::sun::star::graphic::XPrimitive2D> > const&) () from /data4/OOO_BUILD_GIT/ooo-build/bootstrap/NEWINSTALL/program/../basis-link/program/libdrawinglayerlx.so
#23 0x00007fffdc978da5 in ?? () from /data4/OOO_BUILD_GIT/ooo-build/bootstrap/NEWINSTALL/program/../basis-link/program/libsvxcorelx.so
#24 0x00007fffdc979500 in ?? () from /data4/OOO_BUILD_GIT/ooo-build/bootstrap/NEWINSTALL/program/../basis-link/program/libsvxcorelx.so
#25 0x00007fffdc9a8774 in SdrPageWindow::RedrawAll(sdr::contact::ViewObjectContactRedirector*) const () from /data4/OOO_BUILD_GIT/ooo-build/bootstrap/NEWINSTALL/program/../basis-link/program/libsvxcorelx.so
#26 0x00007fffdca80fc0 in SdrPaintView::CompleteRedraw(OutputDevice*, Region const&, sdr::contact::ViewObjectContactRedirector*) () from /data4/OOO_BUILD_GIT/ooo-build/bootstrap/NEWINSTALL/program/../basis-link/program/libsvxcorelx.so
#27 0x00007fffdd537662 in sd::View::CompleteRedraw(OutputDevice*, Region const&, sdr::contact::ViewObjectContactRedirector*) () from /data4/OOO_BUILD_GIT/ooo-build/bootstrap/NEWINSTALL/program/../basis-link/program/libsdlx.so
#28 0x00007fffdd584a81 in sd::DrawView::CompleteRedraw(OutputDevice*, Region const&, sdr::contact::ViewObjectContactRedirector*) () from /data4/OOO_BUILD_GIT/ooo-build/bootstrap/NEWINSTALL/program/../basis-link/program/libsdlx.so
#29 0x00007fffdd561a34 in sd::DrawViewShell::Paint(Rectangle const&, sd::Window*) () from /data4/OOO_BUILD_GIT/ooo-build/bootstrap/NEWINSTALL/program/../basis-link/program/libsdlx.so
#30 0x00007ffff34d0474 in Window::ImplCallPaint(Region const*, unsigned short) () from /data4/OOO_BUILD_GIT/ooo-build/bootstrap/NEWINSTALL/program/../basis-link/program/libvcllx.so
#31 0x00007ffff34d0182 in Window::ImplCallPaint(Region const*, unsigned short) () from /data4/OOO_BUILD_GIT/ooo-build/bootstrap/NEWINSTALL/program/../basis-link/program/libvcllx.so
#32 0x00007ffff34d0182 in Window::ImplCallPaint(Region const*, unsigned short) () from /data4/OOO_BUILD_GIT/ooo-build/bootstrap/NEWINSTALL/program/../basis-link/program/libvcllx.so
#33 0x00007ffff34d0182 in Window::ImplCallPaint(Region const*, unsigned short) () from /data4/OOO_BUILD_GIT/ooo-build/bootstrap/NEWINSTALL/program/../basis-link/program/libvcllx.so
#34 0x00007ffff34d0182 in Window::ImplCallPaint(Region const*, unsigned short) () from /data4/OOO_BUILD_GIT/ooo-build/bootstrap/NEWINSTALL/program/../basis-link/program/libvcllx.so
#35 0x00007ffff34d0182 in Window::ImplCallPaint(Region const*, unsigned short) () from /data4/OOO_BUILD_GIT/ooo-build/bootstrap/NEWINSTALL/program/../basis-link/program/libvcllx.so
#36 0x00007ffff34d0182 in Window::ImplCallPaint(Region const*, unsigned short) () from /data4/OOO_BUILD_GIT/ooo-build/bootstrap/NEWINSTALL/program/../basis-link/program/libvcllx.so
#37 0x00007ffff34d0182 in Window::ImplCallPaint(Region const*, unsigned short) () from /data4/OOO_BUILD_GIT/ooo-build/bootstrap/NEWINSTALL/program/../basis-link/program/libvcllx.so
#38 0x00007ffff34d16de in Window::ImplHandlePaintHdl(void*) () from /data4/OOO_BUILD_GIT/ooo-build/bootstrap/NEWINSTALL/program/../basis-link/program/libvcllx.so
#39 0x00007ffff32d60ce in Timer::ImplTimerCallbackProc() () from /data4/OOO_BUILD_GIT/ooo-build/bootstrap/NEWINSTALL/program/../basis-link/program/libvcllx.so
#40 0x00007fffec5de37e in GtkXLib::timeoutFn(void*) () from /data4/OOO_BUILD_GIT/ooo-build/bootstrap/NEWINSTALL/basis3.4/program/libvclplug_gtklx.so
#41 0x00007fffe9f9727b in ?? () from /usr/lib64/libglib-2.0.so.0
#42 0x00007fffe9f95a93 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#43 0x00007fffe9f96270 in ?? () from /usr/lib64/libglib-2.0.so.0
#44 0x00007fffe9f96510 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#45 0x00007fffec5dc9e5 in GtkXLib::Yield(bool, bool) () from /data4/OOO_BUILD_GIT/ooo-build/bootstrap/NEWINSTALL/basis3.4/program/libvclplug_gtklx.so
#46 0x00007ffff32ce851 in Application::Yield(bool) () from /data4/OOO_BUILD_GIT/ooo-build/bootstrap/NEWINSTALL/program/../basis-link/program/libvcllx.so
#47 0x00007ffff32ce907 in Application::Execute() () from /data4/OOO_BUILD_GIT/ooo-build/bootstrap/NEWINSTALL/program/../basis-link/program/libvcllx.so
#48 0x00007ffff7926568 in desktop::Desktop::Main() () from /data4/OOO_BUILD_GIT/ooo-build/bootstrap/NEWINSTALL/program/../basis-link/program/libsofficeapp.so
#49 0x00007ffff32d5a29 in ImplSVMain() () from /data4/OOO_BUILD_GIT/ooo-build/bootstrap/NEWINSTALL/program/../basis-link/program/libvcllx.so
#50 0x00007ffff32d5ac5 in SVMain() () from /data4/OOO_BUILD_GIT/ooo-build/bootstrap/NEWINSTALL/program/../basis-link/program/libvcllx.so
Comment 6 Rainer Bielefeld Retired 2011-05-14 10:56:20 UTC
It's even worse with "LibreOffice 3.4Beta5  – WIN7  Home Premium  (64bit) German UI [DEV300m103 (Build:5)]", LibO crashes when I try to open sample (with double click from WIN Explorer).

I do not believe that "Bug 33785 - Particular WMF causes crash" has reappeard, That bug is not reproducible for me.

I modified Status due to facts.
Comment 7 Petr Mladek 2011-05-16 01:47:44 UTC
It seems to behave randomly. I have tried to open the document 25 times. It opened correctly twice. It crashed with the following two types of error messages otherwise:

--- cut ---
$> /opt/libreoffice3.4/program/soffice Drucktruger\ Aufgabe\ 3.odg 
terminate called after throwing an instance of 'com::sun::star::uno::RuntimeException'
--- cut ---

--- cut ---
$> /opt/libreoffice3.4/program/soffice Drucktruger\ Aufgabe\ 3.odg 
X-Error: BadIDChoice (invalid resource ID chosen for this connection)
        Major opcode: 55 (X_CreateGC)
        Resource ID:  0x0
        Serial No:    1658 (1658)
These errors are reported asynchronously,
set environment variable SAL_SYNCHRONIZE to 1 to help debugging
--- cut ---

The document displayed the picture 9 times on the page. I havn't seen the crash when I created a new document and linked the picture only once.
Comment 8 Jan Holesovsky 2011-05-16 06:32:21 UTC
Fixed in master:

commit c4361c93de2b9661d59bc4aa799dffea7ad579e2
Author: Jan Holesovsky <kendy@suse.cz>
Date:   Mon May 16 15:26:42 2011 +0200

    Fix crash in WMF import - fdo#36991.

Please cherry-pick to libreoffice-3-4 ;-)

Basically - we are initializing virtual device in a thread, and it seems that other stuff that is going on collides with that...
Comment 9 Rainer Bielefeld Retired 2011-11-03 23:41:06 UTC
It seems that it has not been integrated into 3.4? "LibreOffice 3.4.4RC2  - WIN7 Home Premium (64bit) German UI [OOO340m1 (Build:402)]" still crashes already in Step 4 of following instruction. Additionally this version sometimes crashes when I open sample document from LibO file menu ("Microsoft Visual C++ Runtime Library") and nearby always when I open from WIN Explorer.

It seems there is an additional aspect in the bug that is not covered by the fix? Steps how to reproduce a crash with  Server installation of Master "LibO-dev 3.5.0 – WIN7 Home Premium (64bit) English UI [(Build ID:  d3d1481-3f8994a-2ba0a9f)]" (110909)

1. Start LibO from WIN Start Center
2. Menu 'File -> Open -> "Druckträger Aufgabe 3.odg" (I use OOo dialogs)
3. Click only existing slide in Pages pane
   (becomes selected / highlighted)
4. Menu 'Insert -> Duplicate Slide'
   (Copy of existing slide will be created, second slide will beselected / 
    highlighted)
5. Click slide 1 in Pages pane
6. Menu 'Insert -> Duplicate Slide'
   Expected: Copy of existing slide will be created
   Actual: Crash
Comment 10 Thorsten Behrens (CIB) 2011-12-20 07:20:05 UTC
Meh, missed the cherry-pick request - fixed for 3.5.0 for sure, so setting fixed again.
Comment 11 Regina Henschel 2017-04-19 16:28:41 UTC
Verified in LO54. No crash.